Subject: Re: Device naming for wireless NICs...

From: Jeff Garzik <[email-masked]>
Date: Thu, 11 Mar 2004 13:23:12 -0500

James Ketrenos wrote:
> 
> If this topic been hashed a lot already, please let me know the keywords 
> I might search for in the archives to find the threads.
> 
> I've had a few requests by users of the IPW2100 wireless driver to 
> switch the default interface name to be wlanX vs. ethX.  In my prior 
> searches through the wireless drivers in the 2.6.3 kernel tree, I 
> couldn't find any that changed from the default.

I lean towards wlan%d, but until we have the generic 802.11 stack going 
it's really up to the driver maintainer (you, in this case).

Like Matthew said, any code that assumes a specific interface prefix, be 
it eth%d or wlan%d, is buggy.  Users are allowed to choose random 
interface names for their interfaces, often via nameif(8) program.  My 
own ethtool program is broken in this regard...

	Jeff